<!DOCTYPE html>
<html lang="{{ app.request.locale|split('_')[0] }}">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
    <link href="https://fonts.googleapis.com/css2?family=Raleway:wght@400;500;700&family=Roboto:wght@100;400;700&display=swap" rel="preload" as="style">
    <link href="https://fonts.googleapis.com/css2?family=Raleway:wght@400;500;700&family=Roboto:wght@100;400;700&display=swap" rel="stylesheet" media="print" onload="this.media='all'">
    <noscript>
        <link href="https://fonts.googleapis.com/css2?family=Raleway:wght@400;500;700&family=Roboto:wght@100;400;700&display=swap" rel="stylesheet">
    </noscript>

    {% block meta %}
        {% include "@SuluWebsite/Extension/seo.html.twig" with {
            "seo": extension.seo|default([]),
            "content": content|default([]),
            "localizations": localizations|default([]),
            "shadowBaseLocale": shadowBaseLocale|default(),
            "defaultLocale": app.request.locale
        } %}
    {% endblock %}

    {% block stylesheets %}
        {{ encore_entry_link_tags('app') }}
    {% endblock %}

    {% block javascripts %}
        {{ encore_entry_script_tags('app') }}
    {% endblock %}
</head>
<body {{ stimulus_controller('symfony/ux-swup/swup') }}>
    <header id="nav" class="fixed top-0 z-30 w-full px-8 mt-4">
        <div class="flex flex-col items-end justify-center w-12 h-12 ml-auto navbar" :class="{ 'navbar-open' : isOpen }" @click="isOpen = !isOpen">
            <span></span>
            <span></span>
        </div>

        {% block header %}
            <nav class="main-nav" :class="{ 'active' : isOpen }" role="navigation">
                <ul class="main-nav__list">
                    <li class="main-nav__item">
                        <a href="{{ sulu_content_root_path() }}" class="main-nav__link">Accueil</a>
                    </li>

                    {% for item in sulu_navigation_root_tree('main') %}
                        <li class="main-nav__item">
                            <a href="{{ sulu_content_path(item.url, item.webspaceKey) }}"
                               title="{{ item.title }}" class="main-nav__link">{{ item.title }}</a>
                        </li>
                    {% endfor %}
                </ul>
            </nav>
        {% endblock %}
    </header>

    <div id="content swup">
        {% block content %}{% endblock %}
    </div>

    <footer>
        {% block footer %}
        {% endblock %}
    </footer>
</body>
</html>
